Subject: Re: linux-next: manual merge of the kselftest tree with the mm tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 15 May 2024 09:05:20 +1000

Hi all,

On Fri, 26 Apr 2024 15:44:14 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the kselftest tree got a conflict in:
> 
>   tools/testing/selftests/mm/soft-dirty.c
> 
> between commit:
> 
>   258ff696db6b ("selftests/mm: soft-dirty should fail if a testcase fails")
> 
> from the mm-unstable branch of the mm tree and commit:
> 
>   e6162a96c81d ("selftests/mm: ksft_exit functions do not return")
> 
> from the kselftest tree.
> 
> I fixed it up (I used the former) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

This is now a conflict between the mm-stable tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell